
package de.ivu.elect.presentation.wahlausschuss.table;

import de.ivu.elect.business.wahlausschuss.entity.Wahlausschussmitglied;
import de.ivu.elect.business.wahlausschuss.entity.WahlausschussmitgliedConstants;
import de.ivu.elect.jee.faces.Messages;
import de.ivu.elect.jee.presentation.dynamictable.ColumnType;


import static java.util.Objects.isNull;

public class WahlausschussmitgliedVertreterColumn extends AbstractWahlausschussmitgliedColumn<Wahlausschussmitglied> {

  private static final long serialVersionUID = 1L;

  protected WahlausschussmitgliedVertreterColumn(Messages messages) {
    super(messages, WahlausschussmitgliedConstants.MESSAGE_KEY_VERTRETER_ID_EINZAHL, ColumnType.STRING, entity -> {
      if (isNull(entity) || !entity.isVertreterVorhanden()) {
        return null;
      }

      return entity.getVertreter().getFamiliennameUndVornameUndTitelUndRolleUndPolitischeGruppe(messages);

    });
  }
}
